<template>
    <div>
        <b-navbar toggleable="lg" type="dark" variant="info">
            <b-navbar-brand href="#">Optimi</b-navbar-brand>
  
            <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>

            <b-collapse id="nav-collapse" is-nav>
            <b-navbar-nav>
                <b-nav-item to="/">Home</b-nav-item>  
                <b-nav-item to="/about">About</b-nav-item>  
            </b-navbar-nav>

            <!-- Right aligned nav items -->
            <b-navbar-nav class="ml-auto">
                <b-nav-form>
                <search-component></search-component>
                <!-- <b-button size="sm" class="my-2 my-sm-0" type="submit">Search</b-button> -->
                </b-nav-form>


            </b-navbar-nav>
            </b-collapse>
        </b-navbar>   
    </div>
</template>

<script>
import SearchComponent from './SearchComponent.vue';
export default {
    name: "TopHeader",
    components: {
        'search-component': SearchComponent
    }
}
</script>

<style lang="scss" scoped>
#nav a.router-link-exact-active {
   color: white; 
}
</style>